%define	gtk3_mver	3.22
Summary:	MATE Desktop themes
Summary(pl.UTF-8):	Motywy dla środowiska MATE Desktop
Name:		mate-themes
Version:	3.22.20
Release:	1
License:	GPL v2+
Group:		Themes
Source0:	http://pub.mate-desktop.org/releases/themes/%{gtk3_mver}/%{name}-%{version}.tar.xz
# Source0-md5:	db1534703bbefb19cb783c8b29f6d447
URL:		http://mate-desktop.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
BuildRequires:	gdk-pixbuf2-devel >= 2.0.0
BuildRequires:	gettext-tools
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRequires:	icon-naming-utils >= 0.8.7
BuildRequires:	intltool >= 0.35.0
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	gtk-update-icon-cache
Requires:	gtk2-engines
Requires:	gtk2-theme-engine-murrine >= 0.98
Requires:	mate-icon-theme >= 1.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MATE Desktop themes:

- BlackMATE: cinnamon, gtk2, gtk3, marco, unity
- BlueMenta: cinnamon, gtk2, gtk3, marco, unity, xfwm4
- Blue-Submarine: cinnamon, gtk2, gtk3, marco
- GreenLaguna: gtk2, gtk3, marco, unity
- Green-Submarine: cinnamon, gtk2, gtk3, marco
- Menta: cinnamon, gtk2, gtk3, marco, unity, xfwm4
- Shiny: marco
- TraditionalGreen: gtk2, gtk3, marco
- TraditionalOk: gtk2, gtk3, marco, openbox, xfwm4

%description -l pl.UTF-8
Motywy dla środowiska MATE Desktop:

- BlackMATE: cinnamon, gtk2, gtk3, marco, unity
- BlueMenta: cinnamon, gtk2, gtk3, marco, unity, xfwm4
- Blue-Submarine: cinnamon, gtk2, gtk3, marco
- GreenLaguna: gtk2, gtk3, marco, unity
- Green-Submarine: cinnamon, gtk2, gtk3, marco
- Menta: cinnamon, gtk2, gtk3, marco, unity, xfwm4
- Shiny: marco
- TraditionalGreen: gtk2, gtk3, marco
- TraditionalOk: gtk2, gtk3, marco, openbox, xfwm4

%package accessibility
Summary:	Accessibility themes for MATE environment
Summary(pl.UTF-8):	Motywy uprzystępniające dla środowiska MATE
Group:		Themes
Requires:	%{name} = %{version}-%{release}
Requires:	mate-icon-theme >= 1.5

%description accessibility
Accessibility themes for MATE environment:

- HighContrastInverse: gtk2, gtk3, marco

%description accessibility -l pl.UTF-8
Motywy dla środowiska MATE o zwiększonej dostępności dla
niepełnosprawnych:

- HighContrastInverse: gtk2, gtk3, marco

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

for dir in $RPM_BUILD_ROOT%{_iconsdir}/*/; do
	gtk-update-icon-cache -ft $dir
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%{_datadir}/themes/BlackMATE
%{_datadir}/themes/BlackMATE-border
%{_datadir}/themes/BlueMenta
%{_datadir}/themes/BlueMenta-border
%{_datadir}/themes/Blue-Submarine
%{_datadir}/themes/Blue-Submarine-border
%{_datadir}/themes/GreenLaguna
%{_datadir}/themes/GreenLaguna-border
%{_datadir}/themes/Green-Submarine
%{_datadir}/themes/Green-Submarine-border
%{_datadir}/themes/Menta
%{_datadir}/themes/Menta-border
%{_datadir}/themes/Shiny
%{_datadir}/themes/TraditionalGreen
%{_datadir}/themes/TraditionalOk
%{_iconsdir}/mate/cursors
%dir %{_iconsdir}/mate-black
%{_iconsdir}/mate-black/index.theme
%{_iconsdir}/mate-black/cursors

%files accessibility
%defattr(644,root,root,755)
%{_datadir}/themes/ContrastHigh
%{_datadir}/themes/HighContrastInverse
# note: top dirs (HighContrast/metacity-1) shared with metacity-themes-HighContrast 3.x
%{_datadir}/themes/HighContrast
%{_iconsdir}/ContrastHigh
%changelog
* Mon Jun 17 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-themes.git;a=log;h=master

* Mon Jun 17 2019 Jan Palus <atler@pld-linux.org> 091c95f
- up to 3.22.20

* Wed Mar 13 2019 Jan Rękorajski <baggins@pld-linux.org> e8c0169
- release 2 (by relup.sh)

* Mon Mar 11 2019 Jan Palus <atler@pld-linux.org> ccce2a4
- up to 3.22.19

* Wed Aug 08 2018 Jan Palus <atler@pld-linux.org> c64ce98
- up to 3.22.18

* Sun Jun 03 2018 Jan Palus <atler@pld-linux.org> db16123
- up to 3.22.17

* Sat Mar 31 2018 Jan Palus <atler@pld-linux.org> 1bca01c
- up to 3.22.16

* Wed Feb 07 2018 Jan Palus <atler@pld-linux.org> 3d89f40
- up to 3.22.15

* Tue Sep 19 2017 Jan Palus <atler@pld-linux.org> 6779481
- up to 3.22.14

* Fri Jul 07 2017 Jan Palus <atler@pld-linux.org> bf28579
- up to 3.22.13

* Wed Jun 14 2017 Jan Palus <atler@pld-linux.org> fae8e2e
- up to 3.22.12

* Thu May 11 2017 Jan Palus <atler@pld-linux.org> 2922c22
- up to 3.22.11

* Mon Apr 10 2017 Jan Palus <atler@pld-linux.org> f01d538
- up to 3.22.10

* Sat Apr 08 2017 Jan Palus <atler@pld-linux.org> 1f6b67f
- up to 3.22.9

* Thu Mar 30 2017 Jan Palus <atler@pld-linux.org> 12b4e12
- up to 3.22.8

* Sat Jan 28 2017 Jan Palus <atler@pld-linux.org> 66cd2aa
- up to 3.22.7

* Tue Jan 17 2017 Jan Palus <atler@pld-linux.org> 7f23792
- up to 3.22.6

* Fri Jan 06 2017 Jan Palus <atler@pld-linux.org> b566018
- up to 3.22.5

* Sun Dec 18 2016 Jan Rękorajski <baggins@pld-linux.org> 69f7713
- release 2 (by relup.sh)

* Fri Oct 28 2016 Jakub Bogusz <qboosh@pld-linux.org> d960a1b
- updated to 3.22.4

* Mon Oct 24 2016 Jan Palus <atler@pld-linux.org> ee38f2c
- up to 3.22.3

